interfaces Library: KMediaPlayer::View Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KMediaPlayer::View Class Reference

View is part of the user interface of a Player. More...

`#include <view.h>`

Inheritance diagram for KMediaPlayer::View:

[legend]
Collaboration diagram for KMediaPlayer::View:

[legend]
List of all members.

## Public Types
enum | Button { Play = 1, Stop = 2, Pause = 4, Seeker = 8, All = 255 }
## Public Slots
void | setButtons (int)
bool | button (int)
void | showButton (int)
void | hideButton (int)
void | toggleButton (int)
## Signals
void | buttonsChanged (int)
## Public Member Functions
| View (QWidget *parent, const char *name)
int | buttons (void)
QWidget * | videoWidget ()
## Protected Member Functions
void | setVideoWidget (QWidget *videoWidget)

## Detailed Description

View is part of the user interface of a Player.

Definition at line 34 of file kmediaplayer/view.h.

## Member Enumeration Documentation

enum KMediaPlayer::View::Button

  | The Possible buttons that can appear in the UI. Enumeration values:
  Play | Button that connects to Player::play.
  Stop | Button that connects to Player::stop.
  Pause | Button that connects to Player::pause.
  Seeker | A seeker that interfaces with Player::seek.
  All | Show all buttons.
Definition at line 44 of file kmediaplayer/view.h.

## Constructor & Destructor Documentation

KMediaPlayer::View::View | ( | QWidget * | parent,
|  | const char * | name
| ) |

| Your typical QWidget constructor. Definition at line 33 of file view.cpp. References All.

## Member Function Documentation

int KMediaPlayer::View::buttons | ( | void |  | ) |

| Return which buttons are being displayed. Definition at line 45 of file view.cpp.

QWidget * KMediaPlayer::View::videoWidget | ( |  | ) |

| Return the QWidget in which video is displayed. May Return 0L if there is none. Definition at line 84 of file view.cpp. Referenced by setVideoWidget().

void KMediaPlayer::View::setButtons | ( | int |  | ) | `[slot]`

| Set which buttons to display. See also: Button. Definition at line 50 of file view.cpp. References buttonsChanged(). Referenced by hideButton(), showButton(), and toggleButton().

bool KMediaPlayer::View::button | ( | int |  | ) | `[slot]`

| Returns if a particular button is being displayed. Definition at line 59 of file view.cpp.

void KMediaPlayer::View::showButton | ( | int |  | ) | `[slot]`

| Display a particular button. Definition at line 64 of file view.cpp. References setButtons().

void KMediaPlayer::View::hideButton | ( | int |  | ) | `[slot]`

| Stop displaying a particular button. Definition at line 69 of file view.cpp. References setButtons().

void KMediaPlayer::View::toggleButton | ( | int |  | ) | `[slot]`

| Toggle the display of a particular button. Definition at line 74 of file view.cpp. References setButtons().

void KMediaPlayer::View::buttonsChanged | ( | int |  | ) | `[signal]`

| Emitted when the set of displayed buttons changes. Referenced by setButtons().

void KMediaPlayer::View::setVideoWidget | ( | QWidget * | videoWidget | ) | `[protected]`

| The implementing view should set the widget in which the video will be displayed. KMediaPlayer users may reparent() it to somewhere else, for example. Definition at line 79 of file view.cpp. References videoWidget().

The documentation for this class was generated from the following files:

- kmediaplayer/view.h
- view.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:12 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003